#ifndef DATAMANAGER_H
#define DATAMANAGER_H

#include <QObject>
#include "SqlCore.h"
#include "SqlGenerate.h"
class  DataManager:public QObject
{
    Q_OBJECT
private:
    DataManager(QObject * parent = NULL);
      ~DataManager();
public:
    static DataManager& instance();
    //更新医院信息
    bool   updateHospitalInfo(QString sHostpitalName,
                              QString UserName,
                              QString sSection,
                              QString UserPasswd,
                              QString f_UserNum,
                              QString f_RePasswd,
                              QString DataName);
    bool  updateMedicRecord(
           QString CheckNum ,
           QString Type ,
           QString  _Name ,
           QString Sex,
           QString _Birthday,
           QString Year,
           QString Laterality,
           QString Other);

private:
    void init();
    void initTable();
private:
    SqlCore m_sqlcore;

};

#endif // DATAMANAGER_H
